*, *::before, *::after { margin: 0; padding: 0; box-sizing: border-box; }
:root {
    --lime: #C8FF00; --black: #000; --white: #fff; --dark-bg: #1A1A1A;
    --card-dark: #2A2A2A; --beige: #F0EBDF; --muted: #999; --peach: #FDDCB5;
    --green-badge: #4ADE80; --pink-badge: #F472B6; --teal-badge: #2DD4BF; --orange-badge: #FB923C;
}
a:hover {color: #000; text-decoration: none; outline: none;}
body { font-family: "Overused-medium"; background: var(--black); color: #fff; overflow-x: hidden; }
p {font-family: "Overused-regular"; font-size: 18px; font-weight: 400;}
.section-title{text-align: center; font-family: "Radwave"; font-size: 52px; font-weight: 600; line-height: 1.1; letter-spacing: -0.02em;}
section .header {margin-bottom: 60px;}
.btn-trial { display: inline-block; background: var(--lime); color: var(--black); padding: 10px 24px; border-radius: 50px; font-size: 16px; font-weight: 500; text-decoration: none; cursor: pointer; transition: transform 0.2s; }
.btn-trial:hover { transform: translateY(-1px);}

.hero { position: relative; top: -90px; height: 700px; overflow: hidden; border-radius: 15px; margin: 0 15px;}
.hero-bg { position: absolute; inset: 0; background: url('images/hero.webp'); background-size: cover; background-position: center; background-repeat: no-repeat;}
.hero-overlay {position: absolute; inset: 0;
    background: 
        linear-gradient(to right, rgba(0,0,0,0.7) 0%, transparent 60%),
        linear-gradient(to top, rgba(0,0,0,1) 0%, rgba(0,0,0,0.4) 15%, transparent 40%); 
}
.hero-content { position: absolute; z-index: 10; max-width: 800px; padding: 0px 70px 80px; bottom: 0px; }
.hero-content h1 { font-size: 74px; font-weight: 500; line-height: 0.92; letter-spacing: -0.02em; color: #fff;}
.hero-content h4 {font-family: "Overused-regular"; font-size: 40px; font-weight: 400;}
.hero-content p { max-width: 400px; margin-bottom: 20px; color: #fff;}
.hero-content .btn-trial {margin-bottom: 25px;}

.trust-section {
    background-color: #000;
    color: #fff;
    margin: -50px 0 100px;
    text-align: center;
}
.compatibility-block {
    max-width: 350px;
    text-align: center;
    margin: 0 auto 90px;
}
.compatibility-label {
    font-family: "Overused-regular";
    font-size: 24px;
    font-weight: 400;
    color: #fff;
    margin-bottom: 20px;
}
.os-icons {
    display: flex;
    justify-content: center;
    gap: 25px;
    align-items: center;
}
.os-icons img {
    height: 24px;
    width: auto;
}
.trust-title {
    font-size: 46px;
    font-weight: 500;
    margin-bottom: 35px;
    letter-spacing: -1px;
}
.trust-pills-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
    max-width: 1200px;
    margin: 0 auto;
}
.trust-pill {
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 100px;
    padding: 15px 30px;
    display: flex;
    align-items: center;
    gap: 10px;
}
.trust-pill img {
    width: 30px;
    height: 30px;
}
.pill-text {
    display: flex;
    flex-direction: column;
    text-align: left;
}
.pill-value {
    font-weight: 700;
    font-size: 1rem;
    line-height: 1.2;
}
.pill-sub {
    font-size: 0.85rem;
    color: #fff;
}

/*Feature Section*/
.pos-features-section {
    background-color: #F9F7ED; 
    padding: 85px 75px 100px;
    color: #000;
}
.pos-features-header {
    margin-bottom: 80px;
}
.pos-features-title {
    font-size: 50px;
    font-weight: 600;
    margin-bottom: 10px;
}
.pos-features-subtitle {
    font-family: 'Overused-regular';
    font-size: 30px;
    font-weight: 400;
    color: #000;
    font-weight: 400;
}
.pos-features-grid {
    display: grid;
    grid-template-columns: 1fr 1fr; 
    gap: 80px 50px;
}
.pos-feature-item {
    display: flex;
    align-items: flex-start;
    gap: 15px;
}
.pos-feature-left {
    width: 100px;
}
.pos-feature-left img {
    width: 100%;
    height: auto;
}
.pos-feature-right {
    margin-top: -5px;
}
.pos-feature-text .h3 {
    font-size: 36px;
    font-weight: 600;
    margin-bottom: 15px;
}
.pos-feature-text p {
    font-size: 20px;
    color: #000;
    max-width: 500px;
    margin-bottom: 30px;
}
.pos-feature-image-box {
    background: linear-gradient(to bottom, #E9E6D7 0%, #F9F7ED 100%);
    border-radius: 50px;
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
.pos-feature-image-box img {
    max-width: 100%;
    height: auto;
    border-radius: 25px;
}


/*Exprience POS*/
.pos-experience {
    background-color: #1E1F18;
    color: #fff;
    padding: 100px 75px;
}
.pos-header {
    text-align: center;
    margin-bottom: 80px;
}
.pos-main-title {
    font-family: 'Radwave';
    font-size: 74px; 
    font-weight: 400;
    margin-bottom: 15px;
    text-transform: uppercase;
}
.pos-subtitle {
    font-family: 'Overused-regular';
    font-size: 22px;
    font-weight: 400;
    color: #fff;
    max-width: 600px;
    margin: 0 auto;
}
.pos-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
}
.pos-card {
    background: #000; 
    border-radius: 10px;
    padding: 15px;
}
.card-image {
    border-radius: 10px;
    overflow: hidden;
    height: 300px; 
    margin-bottom: 20px;
}
.card-image img {
    width: 100%;
    height: 100%;
    object-fit: cover; 
}
.card-title {
    font-size: 26px;
    font-weight: 500;
    margin-bottom: 10px;
}
.card-desc {
    font-size: 14px;
    color: #fff;
    margin-bottom: 10px;
    max-width: 450px;
}
.pos-footer {
    text-align: center;
    margin-top: 80px;
}
.pos-footer .footer-text {
    font-size: 26px;
    font-weight: 500;
    margin: 0 auto 30px;
    max-width: 600px;
}

/*POS Connect*/
.pos-connects {
    background-color: #000;
    padding: 100px 75px;
    color: #fff;
}
.pos-connects-wrapper {
    background-image: url('images/pos-connect.webp');
    background-repeat: no-repeat;
    background-size: contain; 
    background-position: right center;
    min-height: 600px; 
    display: flex;
    align-items: flex-start;
}
.pos-bg-content h2 {
    font-size: 50px;
    font-weight: 600;
    margin-bottom: 15px;
    line-height: 1;
}
.pos-bg-content p {
    font-family: 'Overused-regular';
    font-size: 24px;
    font-weight: 400;
    color: #fff;
    font-weight: 400;
    max-width: 600px;
    line-height: 1.2;
}

/*why-commerce*/
.why-commerce {
    background-color: #073131; 
    padding: 100px 75px;
    color: #fff;
}
.table-header-text {
    text-align: center;
    margin-bottom: 50px;
}
.table-header-text h2 {
    font-family: 'Radwave';
    font-size: 62px; 
    font-weight: 400;
    line-height: 1;
    margin-bottom: 15px;
    text-transform: uppercase;
}
.table-header-text P {
    font-family: 'Overused-regular';
    font-size: 22px;
    font-weight: 400;
    color: #fff;
}
.comparison-table-wrapper {
    background: #000;
    border-radius: 20px;
    overflow-x: auto;
    /*border: 1px solid rgba(255,255,255,0.1);*/
    max-width: 1000px;
    margin: 0 auto;
}
.comparison-table {
    min-width: 800px; 
    display: flex;
    flex-direction: column;
}
.table-row {
    display: grid;
    grid-template-columns: 1.5fr 1fr 1fr 1fr;
    position: relative;
    border-bottom: none;
}
.table-row::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px; 
    z-index: 999;
    
    /* The gradient does the fading work */
    background: linear-gradient(
        to right, 
        rgba(255, 255, 255, 0) 0%,         /* Fully transparent at start */
        rgba(255, 255, 255, 0.05) 5%,      /* Fully visible by 5% */
        rgba(255, 255, 255, 0.05) 95%,     /* Stays visible until 95% */
        rgba(255, 255, 255, 0) 100%        /* Fades to transparent at end */
    );
}
.table-row:last-child .table-cell:not(:first-child) {
    font-family: 'Overused-regular';
    font-weight: 400;
}
.table-cell {
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size: 15px;
}
.sticky-col {
    position: sticky;
    left: 0;
    background: #000; 
    justify-content: flex-start;
    text-align: left;
    font-weight: 500;
    z-index: 10;
}
.highlight-col {
    background-color: rgba(255,255,255,0.03);
    font-weight: 600;
}
.table-head .table-cell {
    font-weight: 500;
    color: #fff;
    padding: 30px 20px;
}
.table-head .highlight-col {
    color: #fff;
}
.check img { width: 18px; }
.warning img { width: 15px; }
.cross img { width: 15px; }
.table-legend {
    display: flex;
    justify-content: center;
    gap: 30px;
    margin-top: 40px;
    font-size: 14px;
    color: #ccc;
}
.table-legend .opt {
    display: flex;
    align-items: flex-start;
    gap: 5px;
    font-family: 'Overused-regular';
    font-size: 16px;
}


@media (max-width: 991px) {
    .pos-connects-wrapper {min-height: 420px;}
}

@media (max-width: 768px) {
    .btn-trial {padding: 12px 24px;}
    .hero {top: 0px; height: 100vh; position: relative;}
    .hero-bg { background: url('images/hero-mb.webp'); background-size: cover; background-position: center; background-repeat: no-repeat;}
    .hero-content { position: absolute; padding: 0px 20px; bottom: 150px; }
    .hero-content h1 { font-size: 36px; margin-top: 0px; margin-bottom: 10px;}
    .hero-content h4 { font-size: 22px; margin-bottom:15px; }
    .hero-content p { font-size: 12px; }
    .trust-section {margin: 20px 0 50px;}
    .compatibility-block {margin: 0 auto 50px;}
    .os-icons {gap: 15px;}
    .trust-title { font-size: 24px; gap: 8px;}
    .trust-pills-container { display: grid; grid-template-columns: 1fr 1fr; gap: 15px; max-width: 350px;}
    .trust-pill { padding: 10px 10px; padding: 10px 10px;}
    .trust-pill img {width: 20px; height: 20px;}
    .pill-value {font-size: 12px; white-space: nowrap;}
    .pill-sub {font-size: 12px; white-space: nowrap;}
    .pos-features-section {padding: 50px 20px;}
    .pos-features-header {text-align: center; margin-bottom: 50px;}
    .pos-features-grid {grid-template-columns: 1fr; gap: 30px; }
    .pos-features-title {font-size: 30px; }
    .pos-features-subtitle {font-size: 14px;}
    .pos-feature-text h3 {font-size: 22px;}
    .pos-feature-text p {font-size: 14px;}
    .pos-feature-image-box {height: auto; padding: 20px; }
    .pos-grid {grid-template-columns: 1fr; }
    .pos-experience {padding: 50px 15px;}
    .card-image {height: 230px;}
    .card-image img {object-fit: fill;}
    .pos-header {margin-bottom: 50px;}
    .pos-main-title {font-size: 32px; max-width: 300px; margin: 0 auto; line-height: 1; margin-bottom: 15px;}
    .pos-subtitle {font-size: 14px;}
    .card-title {font-size: 24px;}
    .pos-footer {margin-top: 50px;}
    .pos-footer .footer-text {font-size: 20px; margin: 0 auto 20px; max-width: 300px;}
    .pos-connects {padding: 50px 15px;}
    .pos-bg-content h2 {font-size: 30px;}
    .pos-bg-content p {font-size: 14px; max-width: 300px;}
    .pos-connects-wrapper {background-image: none; display: flex; flex-direction: column; align-items: center;}
    .pos-connects-wrapper img {width: 275px; margin: 0 auto; margin-top: 30px; }
    .why-commerce {padding: 50px 15px;}
    .table-header-text {text-align: center;}
    .table-header-text h2 {font-size: 28px;}
    .table-header-text p {font-size: 16px;}
    .comparison-table {min-width: 600px; }
    .table-row {grid-template-columns: 200px 140px 140px 140px; }
    .footer-faq .section-title {font-size: 26px; line-height: 28px; }
}